/*
 *	file:		ParanoiaAbout.java
 * project:	Paranoia
 * content:	about Paranoia
 * updated:	Sep. 08. 2002
 *
 */

package org.mulliner.paranoia;

  
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;


public class ParanoiaAbout extends Form implements CommandListener
{
	private static final Command[] COMMANDS = {
		new Command("Done", Command.OK, 1)
	};
	
	private Display display;
	private Backable winBack;
	
	
	public ParanoiaAbout()
	{
		super("About");
		
		append("Paranoia v0.9Beta2\n" +
				" Oct. 19. 2002\n\n" +
				"Copyright:\n" + 
				" Collin R. Mulliner\n\n" +
				"Web:\n" +
				" mulliner.org/wj\n" +
				"EMail:\n" + 
				" wj@mulliner.org\n");
				
		for (int i = 0; i < COMMANDS.length; i++) {
			addCommand(COMMANDS[i]);
		}
	}
	
	public void activate(Display d, Backable b)
	{
		display = d;
		winBack = b;
		
		display.setCurrent(this);
		setCommandListener(this);
	}
	
	public void commandAction(Command cmd, Displayable s)
	{
		if (cmd == COMMANDS[0]) {
			winBack.show();
		}
	}
}
