/*
 *	file:		ParanoiaShowOTPForm.java
 * project:	Paranoia
 * content:	
 * updated:	Oct. 19. 2002
 *
 */

package org.mulliner.paranoia;

  
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import java.util.*;


public class ParanoiaShowOTPForm extends Form implements CommandListener
{
	private static final Command[] COMMANDS = 
	{
		new Command("Back", Command.OK, 1)
	};

	private ParanoiaOTP otp;
	private Backable winBack;
	private Display display;
//	private StringItem WordsLabel;
	private StringItem HexLabel;
	

	public ParanoiaShowOTPForm(ParanoiaOTP otpP)
	{
		super("Current Key");
		
		otp = otpP;
		
	//	WordsLabel = new StringItem("6 Words:", "");
		HexLabel = new StringItem("Hex:", "123456789012345678901234567890");
		
	//	append(WordsLabel);
		append(HexLabel);
		
		// add commands
		for (int i = 0; i < COMMANDS.length; i++) {
			addCommand(COMMANDS[i]);
		}
	}
	public void commandAction(Command cmd, Displayable s)
	{
		if (cmd == COMMANDS[0]) {
			winBack.show();
		}
	}
	
	public void activate(Display d, Backable b)
	{
		display = d;
		winBack = b;
		
		display.setCurrent(this);
		setCommandListener(this);
		
	//	WordsLabel.setText(otp.getWordsOTP());
		HexLabel.setText(otp.getHexOTP());
		
//		display.setCurrent(this);
//		setCommandListener(this);
	}
}
